OpenCV: cv::WImageC< T, C > Class Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | Public Member Functions | Protected Member Functions | List of all members
cv::WImageC< T, C > Class Template Referenceabstract
Core functionality

`#include "wimage.hpp"`

Inheritance diagram for cv::WImageC< T, C >:

## Public Types
enum | { kChannels = C }
typedef WImage< T >::BaseType | BaseType
Public Types inherited from cv::WImage< T >
typedef T | BaseType

## Public Member Functions
| WImageC (IplImage *img)
virtual | ~WImageC ()=0
int | Channels () const
void | CopyFrom (const WImageC< T, C > &src)
WImageViewC< T, C > | View (int c, int r, int width, int height)
Public Member Functions inherited from cv::WImage< T >
virtual | ~WImage ()=0
int | Channels () const
int | ChannelSize () const
void | CopyFrom (const WImage< T > &src)
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
int | Height () const
T * | ImageData ()
const T * | ImageData () const
IplImage * | Ipl ()
const IplImage * | Ipl () const
T * | operator() (int c, int r)
const T * | operator() (int c, int r) const
int | PixelSize () const
const T * | Row (int r) const
T * | Row (int r)
void | SetZero ()
WImageView< T > | View (int c, int r, int width, int height)
int | Width () const
int | WidthStep () const

## Protected Member Functions
| WImageC (const WImageC &)
void | operator= (const WImageC &)
void | SetIpl (IplImage *image)
Protected Member Functions inherited from cv::WImage< T >
| WImage (const WImage &)
| WImage (IplImage *img)
void | operator= (const WImage &)
void | SetIpl (IplImage *image)

## Additional Inherited Members
Protected Attributes inherited from cv::WImage< T >
IplImage * | image_

## Detailed Description

### template<typename T, int C>
class cv::WImageC< T, C >

Image class when both the pixel type and number of channels are known at compile time. This wrapper will speed up some of the operations like accessing individual pixels using the () operator.

## Member Typedef Documentation

## ◆ BaseType

template<typename T, int C>

typedef WImage<T>::BaseType cv::WImageC< T, C >::BaseType

## Member Enumeration Documentation

## ◆ anonymous enum

template<typename T, int C>

anonymous enum

Enumerator
kChannels |

## Constructor & Destructor Documentation

## ◆ WImageC() [1/2]

template<typename T, int C>

cv::WImageC< T, C >::WImageC | ( | IplImage * | img | ) |
| inlineexplicit

## ◆ WImageC() [2/2]

template<typename T, int C>

cv::WImageC< T, C >::WImageC | ( | const WImageC< T, C > & |  | ) |
| protected

## Member Function Documentation

## ◆ Channels()

template<typename T, int C>

int cv::WImageC< T, C >::Channels | ( |  | ) | const
| inline

## ◆ CopyFrom()

template<typename T, int C>

void cv::WImageC< T, C >::CopyFrom | ( | const WImageC< T, C > & | src | ) |
| inline

## ◆ operator=()

template<typename T, int C>

void cv::WImageC< T, C >::operator= | ( | const WImageC< T, C > & |  | ) |
| protected

## ◆ SetIpl()

template<typename T, int C>

void cv::WImageC< T, C >::SetIpl | ( | IplImage * | image | ) |
| inlineprotected

The documentation for this class was generated from the following file:

- core/include/opencv2/core/wimage.hpp